Subject: Re: [PATCH net V2] virtio-net: set queues after driver_ok

From: Jakub Kicinski <[email-masked]>
Date: Fri, 11 Aug 2023 18:23:44 -0700

On Wed,  9 Aug 2023 23:12:56 -0400 Jason Wang wrote:
> Commit 25266128fe16 ("virtio-net: fix race between set queues and
> probe") tries to fix the race between set queues and probe by calling
> _virtnet_set_queues() before DRIVER_OK is set. This violates virtio
> spec. Fixing this by setting queues after virtio_device_ready().
> 
> Note that rtnl needs to be held for userspace requests to change the
> number of queues. So we are serialized in this way.

FTR this appears to have been applied yesterday by DaveM. Thanks!